usrHome=$HOME
binDir=$usrHome/bin

origDir=$usrHome/arthropoda/insecta
targetDir=$usrHome/web/insecta
#<ssh login: user@server:basedir>
serverUrl=
infoFile=$(dirname $origDir)/info
placesFile=$(dirname $origDir)/places
gimpTmpDir=$usrHome/tmp
ucviewTmpDir=$origDir/tmp

#call by webbify.sh or later manually
webbifyCreateHtml="n"
webbifyPublish="n"

#calibration of binocular
declare -a binoSteps
declare -a binoScales
binoSteps=(0.65 1 2 3 4 5)
#pixels per mm
binoScales=(145 224 463 733 906 1164)

#calibration of compound microscope
declare -a microSteps
declare -a microScales
microSteps=(10 20 40)
#pixels per mm
microScales=(1163 2332 4640)

#white balance for USB camera
gimpLevelsRed="0 182 1 0 255"
gimpLevelsGreen="0 248 1 0 255"
gimpLevelsBlue="0 221 1 0 255"

calc () {
    local expr="$1"
    bc <<EOF
scale=12
$expr
quit
EOF
}


calcExifScale(){
    local type=$1
    local mag=$2
    local i n prevDiff diff length

    if [ "$type" == "bino" ]; then
	i=1
	n=${#binoSteps[*]}
	prevDiff=$(calc "($mag-${binoSteps[0]})*($mag-${binoSteps[0]})")
	while [ $i -lt $n ]; do
	    diff=$(calc "($mag-${binoSteps[$i]})*($mag-${binoSteps[$i]})")
	    if [ $(calc "$prevDiff < $diff") == 1 ]; then
		break
	    fi
	    prevDiff=$diff
	    i=$(($i+1))
	done
	calc "${binoScales[$(($i-1))]}/${binoSteps[$(($i-1))]}*$mag"
    elif [ "$type" == "micro" ]; then
	i=1
	n=${#microSteps[*]}
	prevDiff=$(calc "($mag-${microSteps[0]})*($mag-${microSteps[0]})")
	while [ $i -lt $n ]; do
	    diff=$(calc "($mag-${microSteps[$i]})*($mag-${microSteps[$i]})")
	    if [ $(calc "$prevDiff < $diff") == 1 ]; then
		break
	    fi
	    prevDiff=$diff
	    i=$(($i+1))
	done
	calc "${microScales[$(($i-1))]}/${microSteps[$(($i-1))]}*$mag"
    else
	echo "ERROR: unknown microscope type \"$type\"" >&2
	return 1
    fi
}

