#!/bin/bash

if [ $# -ne 1 ]; then
    echo "USAGE: $0 taxonName" >&2
    exit 1
fi
taxon="$1"

home=$(dirname $0)
. $home/locale.sh
. $home/webbifyFuncs.sh

taxonPath=$(find $targetDir -maxdepth 4 -type d -name "$taxon")
n=$(echo "$taxonPath"|wc -w)
if [ $n -lt 1 ]; then
    echo "taxon \"$taxon\" not found" >&2
    exit 1
elif [ $n -gt 1 ]; then
    echo "ambigous taxon \"$taxon\"" >&2
    exit 1
fi

for dir in $(find $taxonPath -type d|sort); do
    name=$(basename $dir)

    if [ "${name#.}" != "$name" ]; then
	continue
    elif [ "${name#[0-9]}" != "$name" ]; then
	continue
    elif [ "$name" == "uncertain" -o "$name" == "bad" ]; then
	continue
    elif [ "${name/_}" != "$name" ]; then
	mkSpeciesHtml $name $dir/$name.html
    else
	if [ -n "$(ls $dir)" ]; then
	    mkNonSpeciesHtml $name $dir
	fi
    fi
done

